History
#1 - 05/28/2018 11:31 AM - Joaquín  del Cerro Murciano

Añadir al visor de imagenes de la herramienta de hyperlink las funcionalidades de:

    -  Al cargar la imagen el tamaño de esta se ajusta al de la ventana.
    -  Podemos disponer de las herramientas:
        -  Rotar izquierda
        -  Rotar deracha
        -  Ajustar la escala al tamaño del pixel
        -  Ajustar la escala al tamaño de la ventana
        -  Zoom mas
        -  Zoom menos

    -  Presentaria una barra de estado indicando la escala.

https://redmine.gvsig.net/redmine/attachments/download/2044/imageviewer-capure.png

Nota importante respecto al funcionamiento, antes ajustaba el tamaño de la ventana al tamaño de la imagen. Ahora la ventana se presenta con un
tamaño fijo (que el usuario puede cambiar) y la imagen se escala al tamaño inicial de la ventana.

#2 - 05/28/2018 11:31 AM - Joaquín  del Cerro Murciano
- File imageviewer-capure.png added

#3 - 05/28/2018 11:34 AM - Joaquín  del Cerro Murciano

Revisiones:

    -  https://redmine.gvsig.net/redmine/projects/gvsig-hyperlink/repository/revisions/369
    -  https://redmine.gvsig.net/redmine/projects/gvsig-tools/repository/revisions/1702
    -  http://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.simpleimageviewer/trunk/org.gvsig.simpleimageviewer/

#4 - 05/29/2018 11:49 AM - Óscar Martínez
- Subject changed from Añadir soporte para rotar y escalar imagenes en el visor de imagenes del hyperlink to [PG] Añadir soporte para rotar y escalar 
imagenes en el visor de imagenes del hyperlink

#5 - 05/29/2018 12:05 PM - Óscar Martínez
- Status changed from In progress to Fixed

#6 - 02/18/2019 04:57 PM - Álvaro Anguix
- Status changed from Fixed to Closed
